// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package testutils

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

// DeferedAssertNoError helps checking a function error in a defer statement
func DeferedAssertNoError(t *testing.T, cb func() error) {
	t.Helper()

	assert.NoError(t, cb())
}
