// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package mocks

import (
	"testing"

	"xbus.io/xbus/storage"
	teststorage "xbus.io/xbus/testutils/storage"
)

func TestJobStorage(t *testing.T) {
	teststorage.JobStorageTests(
		t,
		func(testing.TB) (storage.JobStorage, func()) {
			return NewJobStorage(), func() {}
		})
}
