// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package testutils

import (
	"xbus.io/go-xbus/v4/api"
)

// LastUUID contains the last UUID returned by NewUUID()
var LastUUID api.UUID

// NewUUID returns a new UUID or panics
func NewUUID() api.UUID {
	var err error
	LastUUID, err := api.UUIDV4()
	if err != nil {
		panic(err)
	}
	return LastUUID
}
