// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package cmd

import (
	"context"
	"os"
	"syscall"

	"xbus.io/xbus/utils"
)

func MakeCmdContext() context.Context {
	return utils.ContextWithSignals(context.Background(), os.Interrupt, syscall.SIGTERM)
}
